org.eclipse.oomph.base

## Interface BaseFactory

- All Superinterfaces:
    EFactory, EModelElement, EObject, Notifier
  All Known Implementing Classes:
    BaseFactoryImpl

      public interface BaseFactory
      extends EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `BasePackage`
  Generated

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BaseFactory` | `eINSTANCE` The singleton instance of the factory.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `convertException(Exception instanceValue)` Returns a literal representation of an instance of data type 'Exception'.
    `String` | `convertText(String instanceValue)` Returns a literal representation of an instance of data type 'Text'.
    `String` | `convertURI(URI instanceValue)` Returns a literal representation of an instance of data type 'URI'.
    `Annotation` | `createAnnotation()` Returns a new object of class 'Annotation'.
    `Annotation` | `createAnnotation(String source)`
    `Annotation` | `createErrorAnnotation(String diagnostic)`
    `Exception` | `createException(String literal)` Returns an instance of data type 'Exception' corresponding the given literal.
    `Annotation` | `createInfoAnnotation(String diagnostic)`
    `String` | `createText(String literal)` Returns an instance of data type 'Text' corresponding the given literal.
    `URI` | `createURI(String literal)` Returns an instance of data type 'URI' corresponding the given literal.
    `Annotation` | `createWarningAnnotation(String diagnostic)`
    `BasePackage` | `getBasePackage()` Returns the package supported by this factory.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eINSTANCE

          static final BaseFactory eINSTANCE

      The singleton instance of the factory.
      Generated

  - ### Method Detail

    - #### createAnnotation

          Annotation createAnnotation()

      Returns a new object of class 'Annotation'.
      Returns:
        a new object of class 'Annotation'.
      Generated

    - #### createAnnotation

          Annotation createAnnotation(String source)

    - #### createErrorAnnotation

          Annotation createErrorAnnotation(String diagnostic)

    - #### createWarningAnnotation

          Annotation createWarningAnnotation(String diagnostic)

    - #### createInfoAnnotation

          Annotation createInfoAnnotation(String diagnostic)

    - #### createURI

          URI createURI(String literal)

      Returns an instance of data type 'URI' corresponding the given literal.
      Parameters:
        `literal` - a literal of the data type.
      Returns:
        a new instance value of the data type.
      Generated

    - #### convertURI

          String convertURI(URI instanceValue)

      Returns a literal representation of an instance of data type 'URI'.
      Parameters:
        `instanceValue` - an instance value of the data type.
      Returns:
        a literal representation of the instance value.
      Generated

    - #### createException

          Exception createException(String literal)

      Returns an instance of data type 'Exception' corresponding the given literal.
      Parameters:
        `literal` - a literal of the data type.
      Returns:
        a new instance value of the data type.
      Generated

    - #### convertException

          String convertException(Exception instanceValue)

      Returns a literal representation of an instance of data type 'Exception'.
      Parameters:
        `instanceValue` - an instance value of the data type.
      Returns:
        a literal representation of the instance value.
      Generated

    - #### createText

          String createText(String literal)

      Returns an instance of data type 'Text' corresponding the given literal.
      Parameters:
        `literal` - a literal of the data type.
      Returns:
        a new instance value of the data type.
      Generated

    - #### convertText

          String convertText(String instanceValue)

      Returns a literal representation of an instance of data type 'Text'.
      Parameters:
        `instanceValue` - an instance value of the data type.
      Returns:
        a literal representation of the instance value.
      Generated

    - #### getBasePackage

          BasePackage getBasePackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html